Bug 294865 - Slide Back: Sometimes the Inactive window pops to the font for apprx. one frame when it is activated.
Summary: Slide Back: Sometimes the Inactive window pops to the font for apprx. one fra...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: compositing (show other bugs)
Version: 4.8.0
Platform: Unlisted Binaries Linux
: LO normal
Target Milestone: 4.11
Assignee: KWin default assignee
URL:
Keywords:
: 304479 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-02-26 14:11 UTC by Björn Sonnenschein
Modified: 2013-02-25 06:55 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Sonnenschein 2012-02-26 14:11:28 UTC
Version:           4.8.0 (using KDE 4.8.0) 
OS:                Linux

When there are two windows that are overlapping and I klick on the inactive one so it gets activated and rised, before the slide back effect starts, it will pop to the front, overlapping the previously active window for approx. one frame and then lower back to its original bottom position. After that the slide back effect will start.

It seems that the window texture is also distorted in the overlapping area when the problem occurs.
This is some kind of bug which makes KDE appear "Somewhat choppy" without really recognizing what's there.

Reproducible: Sometimes

Steps to Reproduce:
Activate the slide back effect.
Open two windows and drag them so that they are overlapping.
click on them many times so that the focus changes many times and look closely.
Sometimes you will see the inactive window be raised for one frame before the other one slides back. But this doesn't happen often.

Actual Results:  
See Above

Expected Results:  
Proper sliding back effect.

Appears on Nvidia as well as Intel graphics on different machines. ATI not tested.
Comment 1 Björn Sonnenschein 2012-02-26 14:13:00 UTC
Shortly tested it with Xrender and this shows the Issue, too and even more obvious
Comment 2 Björn Sonnenschein 2012-02-26 20:38:05 UTC
While testing this Bug
https://bugs.kde.org/show_bug.cgi?id=294863

Raising MaxFPS or something other made the problem appear very often.
Comment 3 Martin Flöser 2012-03-03 10:07:32 UTC
I can reproduce and I think it is caused by the fact that the stacking order is changed before the animation starts. So you have one frame with the new stacking order before the animation kicks in.
Comment 4 Thomas Lübking 2013-01-31 12:39:43 UTC
*** Bug 304479 has been marked as a duplicate of this bug. ***
Comment 5 Thomas Lübking 2013-01-31 12:40:58 UTC
Probably #294490
Comment 6 Thomas Lübking 2013-02-18 22:06:23 UTC
Git commit 4f77dbf90185bf2683a5b19da7d1b8b35c012520 by Thomas Lübking.
Committed on 30/01/2013 at 21:50.
Pushed by luebking into branch 'master'.

re-settle slideBack effect to stackingOrderChanged
FIXED-IN: 4.11

M  +44   -76   kwin/effects/slideback/slideback.cpp
M  +5    -7    kwin/effects/slideback/slideback.h

http://commits.kde.org/kde-workspace/4f77dbf90185bf2683a5b19da7d1b8b35c012520